com.amazonaws.services.simpleworkflow.model

## Class DomainInfo

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.DomainInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class DomainInfo
    extends Object
    implements Serializable, Cloneable

Contains general information about a domain.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DomainInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DomainInfo` `clone()`
`boolean` `equals(Object obj)`
`String` `getDescription()` The description of the domain provided through RegisterDomain.
`String` `getName()` The name of the domain.
`String` `getStatus()` The status of the domain:
`int` `hashCode()`
`void` `setDescription(String description)` The description of the domain provided through RegisterDomain.
`void` `setName(String name)` The name of the domain.
`void` `setStatus(RegistrationStatus status)` The status of the domain:
`void` `setStatus(String status)` The status of the domain:
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DomainInfo` `withDescription(String description)` The description of the domain provided through RegisterDomain.
`DomainInfo` `withName(String name)` The name of the domain.
`DomainInfo` `withStatus(RegistrationStatus status)` The status of the domain:
`DomainInfo` `withStatus(String status)` The status of the domain:

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DomainInfo

    public DomainInfo()

### Method Detail

#### setName

    public void setName(String name)

The name of the domain. This name is unique within the account.

Parameters:
  `name` - The name of the domain. This name is unique within the account.

#### getName

    public String getName()

The name of the domain. This name is unique within the account.

Returns:
  The name of the domain. This name is unique within the account.

#### withName

    public DomainInfo withName(String name)

The name of the domain. This name is unique within the account.

Parameters:
  `name` - The name of the domain. This name is unique within the account.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

The status of the domain:

- REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
- DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.

Parameters:
  `status` - The status of the domain:
  - REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
  - DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.
See Also:
  `RegistrationStatus`

#### getStatus

    public String getStatus()

The status of the domain:

- REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
- DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.

Returns:
  The status of the domain:
  - REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
  - DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.
See Also:
  `RegistrationStatus`

#### withStatus

    public DomainInfo withStatus(String status)

The status of the domain:

- REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
- DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.

Parameters:
  `status` - The status of the domain:
  - REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
  - DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RegistrationStatus`

#### setStatus

    public void setStatus(RegistrationStatus status)

The status of the domain:

- REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
- DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.

Parameters:
  `status` - The status of the domain:
  - REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
  - DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.
See Also:
  `RegistrationStatus`

#### withStatus

    public DomainInfo withStatus(RegistrationStatus status)

The status of the domain:

- REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
- DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.

Parameters:
  `status` - The status of the domain:
  - REGISTERED: The domain is properly registered and available. You can use this domain for registering types and creating new workflow executions.
  - DEPRECATED: The domain was deprecated using DeprecateDomain, but is still in use. You should not create new workflow executions in this domain.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `RegistrationStatus`

#### setDescription

    public void setDescription(String description)

The description of the domain provided through RegisterDomain.

Parameters:
  `description` - The description of the domain provided through RegisterDomain.

#### getDescription

    public String getDescription()

The description of the domain provided through RegisterDomain.

Returns:
  The description of the domain provided through RegisterDomain.

#### withDescription

    public DomainInfo withDescription(String description)

The description of the domain provided through RegisterDomain.

Parameters:
  `description` - The description of the domain provided through RegisterDomain.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DomainInfo clone()

Overrides:
  `clone` in class `Object`